Bug 445870 - Fn+F8 doesn't work on a Dell Latitude D630i to activate external displays [NEEDINFO]
Fn+F8 doesn't work on a Dell Latitude D630i to activate external displays
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: xorg-x11-drv-i810 (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Jackson
desktop-bugs@redhat.com
: OtherQA
Depends On:
Blocks: 391501
  Show dependency treegraph
 
Reported: 2008-05-09 11:01 EDT by Alan Matsuoka
Modified: 2009-01-22 23:28 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 16:28:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cmeadors: needinfo? (cbolz)


Attachments (Terms of Use)
sosreport (1.46 MB, application/x-bzip2)
2008-05-09 11:01 EDT, Alan Matsuoka
no flags Details

  None (edit)
Description Alan Matsuoka 2008-05-09 11:01:42 EDT
Description of problem:
The Dell Latitude D630 does have a hotkey to activate external displays. By
pressing Fn+F8 the external display will be activated.

Version-Release number of selected component (if applicable):
xorg-x11-drv-i810-1.6.5-9.9.el5

How reproducible:
always

Steps to Reproduce:
1. Log into X session
2. Press Fn+F8

Actual results:
nothing happens

Expected results:
external display should be activated

Additional info:
External display works after restart of X11.

The Latitude has a VGA output onboard. While connected to a docking station,
there is VGA and DVI output available.
Comment 1 Alan Matsuoka 2008-05-09 11:01:43 EDT
Created attachment 304952 [details]
sosreport
Comment 9 Adam Jackson 2008-09-19 10:30:08 EDT
If you run 'dbus-monitor' and hit fn-f8, does an event get generated?

Moving to MODIFIED, this is probably a hal bug if anything, but we should get in the test profile for beta.
Comment 14 errata-xmlrpc 2009-01-20 16:28:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-0160.html

Note You need to log in before you can comment on or make changes to this bug.